%define upstream_name    Sort-Versions
%define upstream_version 1.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

License:    GPL or Artistic
Group:      Development/Perl
Summary:    A perl 5 module for sorting of revision-like numbers
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://www.cpan.org

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
Sort::Versions allows easy sorting of mixed non-numeric and
numeric strings, like the "version numbers" that many
shared library systems and revision control packages use.
This is quite useful if you are trying to deal with shared
libraries. It can also be applied to applications that
intersperse variable-width numeric fields within text.
Other applications can undoubtedly be found.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.620.0-4.mga8
+ Revision: 1497193
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.620.0-3.mga7
+ Revision: 1271207
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.620.0-2.mga6
+ Revision: 1033281
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.620.0-1.mga6
+ Revision: 923918
- update to 1.62

* Sat Jul 04 2015 sander85 <sander85> 1.610.0-1.mga6
+ Revision: 850168
- update to 1.61

* Wed Oct 15 2014 umeabot <umeabot> 1.600.0-3.mga5
+ Revision: 744971
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.600.0-2.mga5
+ Revision: 686213
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 jquelin <jquelin> 1.600.0-1.mga5
+ Revision: 640236
- update to 1.60

* Fri Oct 18 2013 umeabot <umeabot> 1.5-9.mga5
+ Revision: 514689
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5-8.mga3
+ Revision: 372664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.5-7.mga1
+ Revision: 31156
- mageia rebuild
- imported package perl-Sort-Versions


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.5-7mdv2010.0
+ Revision: 430541
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-6mdv2009.0
+ Revision: 258356
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-5mdv2009.0
+ Revision: 246417
- rebuild
- fix no-buildroot-tag

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.5-3mdv2008.1
+ Revision: 121760
- kill (multiple!) definitions of %%buildroot on Pixel's request


* Sat Jan 13 2007 Olivier Thauvin <nanardon@mandriva.org> 1.5-3mdv2007.0
+ Revision: 108394
- rebuild
- Import perl-Sort-Versions

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.5-2mdk
- rebuild for new perl

* Wed Dec 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- 1.5

